saga merge vector layers do not works in QGIS3 

2018-03-26 04:51 PM - Antonio Viscomi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26433

Description

Hi All,

I need to merge 14 vector layers then I tried to use saga  merge vector layers to do It

when I run It, It came out with the below error log:

2018-03-26T16:35:54    CRITICAL    Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\algs\saga\SagaAlgorithm.py", line 231, in processAlgorithm

                temp_params = deepcopy(parameters)

              File "C:\OSGEO4~1\apps\Python36\lib\copy.py", line 150, in deepcopy

                y = copier(x, memo)

              File "C:\OSGEO4~1\apps\Python36\lib\copy.py", line 240, in _deepcopy_dict

                y[deepcopy(key, memo)] = deepcopy(value, memo)

              File "C:\OSGEO4~1\apps\Python36\lib\copy.py", line 150, in deepcopy

                y = copier(x, memo)

              File "C:\OSGEO4~1\apps\Python36\lib\copy.py", line 215, in _deepcopy_list

                append(deepcopy(a, memo))

              File "C:\OSGEO4~1\apps\Python36\lib\copy.py", line 169, in deepcopy

                rv = reductor(4)

            TypeError: can't pickle QgsVectorLayer objects

in QGIS 2.18, it works fine with the same files an the same SAGA version 2.3.2

Associated revisions

Revision a1d46de0 - 2018-06-04 05:57 AM - Nyall Dawson

[processing] Fix evaluation of vector layer references to compatible feature sources

Refs #18545

Revision b8ff44e6 - 2018-06-04 07:15 AM - Nyall Dawson

[processing][saga] Fix error in merge vector layers

Fixes #18545

History

#1 - 2018-03-27 07:12 AM - Antonio Viscomi
Sorry, I forgot to flag regression

#2 - 2018-03-28 09:35 PM - Salvatore Larosa

- Regression? changed from No to Yes

- Affected QGIS version changed from 3.0.0 to master

#3 - 2018-06-04 07:15 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b8ff44e63dec569d8f3967095dad6caa1d82a1f3.
